Public Attributes | List of all members
ras_subevt_data_t Struct Reference

`#include <ras_common.h>`

## Public Attributes
uint8_t | conidx
uint8_t | cfg_id
uint16_t | start_acl_conn_event_num
uint16_t | procedure_cnt
uint16_t | frequency_compensation
uint8_t | ref_pwr_level
uint8_t | procedure_done_status
uint8_t | subevent_done_status
uint8_t | abort_reason
uint8_t | num_ante_path
uint8_t | num_steps_report
uint16_t | result_len
uint8_t | step_result [__ARRAY_EMPTY]

## Detailed Description

Definition at line 183 of file ras_common.h.

## Member Data Documentation

## ◆ abort_reason

uint8_t ras_subevt_data_t::abort_reason

Definition at line 193 of file ras_common.h.

## ◆ cfg_id

uint8_t ras_subevt_data_t::cfg_id

Definition at line 186 of file ras_common.h.

## ◆ conidx

uint8_t ras_subevt_data_t::conidx

Definition at line 185 of file ras_common.h.

## ◆ frequency_compensation

uint16_t ras_subevt_data_t::frequency_compensation

Definition at line 189 of file ras_common.h.

## ◆ num_ante_path

uint8_t ras_subevt_data_t::num_ante_path

Definition at line 194 of file ras_common.h.

## ◆ num_steps_report

uint8_t ras_subevt_data_t::num_steps_report

Definition at line 195 of file ras_common.h.

## ◆ procedure_cnt

uint16_t ras_subevt_data_t::procedure_cnt

Definition at line 188 of file ras_common.h.

## ◆ procedure_done_status

uint8_t ras_subevt_data_t::procedure_done_status

Definition at line 191 of file ras_common.h.

## ◆ ref_pwr_level

uint8_t ras_subevt_data_t::ref_pwr_level

Definition at line 190 of file ras_common.h.

## ◆ result_len

uint16_t ras_subevt_data_t::result_len

Definition at line 196 of file ras_common.h.

## ◆ start_acl_conn_event_num

uint16_t ras_subevt_data_t::start_acl_conn_event_num

Definition at line 187 of file ras_common.h.

## ◆ step_result

uint8_t ras_subevt_data_t::step_result[__ARRAY_EMPTY]

Definition at line 197 of file ras_common.h.

## ◆ subevent_done_status

uint8_t ras_subevt_data_t::subevent_done_status

Definition at line 192 of file ras_common.h.

The documentation for this struct was generated from the following file:

- ras_common.h